import 'package:hub/shared/components/molecules/modules/data/models/module_model.dart';

class Module {
  final String key;
  final String display;
  final String expirationDate;
  final String startDate;
  final int quantity;

  Module({
    required this.key,
    required this.display,
    required this.expirationDate,
    required this.startDate,
    required this.quantity,
  });

  factory Module.fromModel(ModuleModel model) {
    return Module(
      key: model.key,
      display: model.display,
      expirationDate: model.expirationDate,
      startDate: model.startDate,
      quantity: model.quantity,
    );
  }

  ModuleModel toModel() {
    return ModuleModel(
      key: key,
      display: display,
      expirationDate: expirationDate,
      startDate: startDate,
      quantity: quantity,
    );
  }
}
